Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Delete a domain

DELETE/domains/{id}
Authorization
AuthorizationBearer token · headerrequired

A BillionSend API key (bs_…).

Path parameters
idstring<uuid>required
Responses
200

Domain deleted

objectstringrequired
Allowed:domain
idstring<uuid>required
deletedbooleanrequired
Allowed:true
401

Missing, malformed, unknown or revoked API key

statusCodenumberrequired
namestringrequired
messagestringrequired
403

Team suspended, not available for this team, or the team's subdomain of the shared domain, which is read-only

statusCodenumberrequired
namestringrequired
messagestringrequired
404

Not found, or a domain other than the one the calling key is held to

statusCodenumberrequired
namestringrequired
messagestringrequired
409

Topics or segments are bound to the domain, or a scheduled or sending broadcast uses it

statusCodenumberrequired
namestringrequired
messagestringrequired
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumberrequired
namestringrequired
messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.billionsend.com/domains/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "object": "domain",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "deleted": true
}

Was this page helpful?